package kz.konturai.parser.dto;

import java.util.ArrayList;
import java.util.List;

public class FinalReportPayload {
    public String markdownContent;
    public List<byte[]> chartImages;

    public FinalReportPayload() {
        this.chartImages = new ArrayList<>();
    }

    public FinalReportPayload(String markdownContent, List<byte[]> chartImages) {
        this.markdownContent = markdownContent;
        this.chartImages = chartImages == null ? new ArrayList<>() : chartImages;
    }

    public String getMarkdownContent() {
        return markdownContent;
    }

    public void setMarkdownContent(String markdownContent) {
        this.markdownContent = markdownContent;
    }

    public List<byte[]> getChartImages() {
        return chartImages;
    }

    public void setChartImages(List<byte[]> chartImages) {
        this.chartImages = chartImages;
    }
}
